%define name lpr
%define version 0.50
%define release 10mdk

Summary: A utility that manages print jobs.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Servers
Source: %{name}-%{version}.tar.bz2
Prereq: /sbin/chkconfig
BuildRoot: %{_tmppath}/%{name}-buildroot
Patch: %{name}-makefile.patch.bz2

%description 
The lpr package provides a basic system utility for
managing printing services.  Lpr manages print queues, sends print
jobs to local and remote printers and accepts print jobs from remote
clients.

If you will be printing from your system, you will need to install
either the lpr or the cups package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p 1

%build

%serverbuild

%ifarch alpha
# we shouldn't need this with more recent glibc's, but lpq kills remote
# lpd w/o it
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Dgetline=get_line"
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man5,man8}

%ifarch alpha
# we shouldn't need this with more recent glibc's, but lpq kills remote
# lpd w/o it and there seems to be a mistake in lpr's makefiles somewhere
export MANDIR=$RPM_BUILD_ROOT%{_mandir}
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Dgetline=get_line" DESTDIR=$RPM_BUILD_ROOT install
%else
make DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir} install
%endif

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m755 lpd.init $RPM_BUILD_ROOT%{_initrddir}/lpd

# prepare the commands conflicting with CUPS for the update-alternatives
# treatment
( cd $RPM_BUILD_ROOT%{_bindir}
  mv lpr lpr-lpd
  mv lpq lpq-lpd
  mv lprm lprm-lpd
)
( cd $RPM_BUILD_ROOT%{_sbindir}
  mv lpc lpc-lpd
)
( cd $RPM_BUILD_ROOT/%{_mandir}/man1
  mv lpr.1 lpr-lpd.1
  mv lpq.1 lpq-lpd.1
  mv lprm.1 lprm-lpd.1
)
( cd $RPM_BUILD_ROOT/%{_mandir}/man8
  mv lpc.8 lpc-lpd.8
)

mkdir -p $RPM_BUILD_ROOT/var/spool/lpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service lpd

# Set up update-alternatives entries
%{_sbindir}/update-alternatives --install %{_bindir}/lpr lpr %{_bindir}/lpr-lpd 5 --slave %{_mandir}/man1/lpr.1.bz2 lpr.1.bz2 %{_mandir}/man1/lpr-lpd.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/lpq lpq %{_bindir}/lpq-lpd 5 --slave %{_mandir}/man1/lpq.1.bz2 lpq.1.bz2 %{_mandir}/man1/lpq-lpd.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/lprm lprm %{_bindir}/lprm-lpd 5 --slave %{_mandir}/man1/lprm.1.bz2 lprm.1.bz2 %{_mandir}/man1/lprm-lpd.1.bz2
%{_sbindir}/update-alternatives --install %{_sbindir}/lpc lpc %{_sbindir}/lpc-lpd 5 --slave %{_mandir}/man8/lpc.8.bz2 lpc.1.bz2 %{_mandir}/man8/lpc-lpd.8.bz2

%preun

# Remove update-alternatives entries
%{_sbindir}/update-alternatives --remove lpr /usr/bin/lpr-lpd
%{_sbindir}/update-alternatives --remove lpq /usr/bin/lpq-lpd
%{_sbindir}/update-alternatives --remove lprm /usr/bin/lprm-lpd
%{_sbindir}/update-alternatives --remove lpc /usr/sbin/lpc-lpd

%_preun_service lpd

%files
%defattr(-,root,root)
%attr(6555,root,lp) %{_bindir}/lpq-lpd
%attr(6555,root,lp) %{_bindir}/lpr-lpd
%attr(6555,root,lp) %{_bindir}/lprm-lpd
%{_bindir}/lptest
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%attr(2755,root,lp) %{_sbindir}/lpc-lpd
%{_sbindir}/lpd
%{_sbindir}/lpf
%{_sbindir}/pac
%attr(0775,root,daemon)	%dir /var/spool/lpd
%config(noreplace) %{_initrddir}/lpd

%changelog
* Tue Apr 10 2001 Franois Pons <fpons@mandrakesoft.com> 0.50-10mdk
- fix typo on lpc alternatives update (thanks again to Ural Khassanov).

* Mon Apr 09 2001 Franois Pons <fpons@mandrakesoft.com> 0.50-9mdk
- fix %%post (thanks to Ural Khassanov).

* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.50-8mdk
- use server macros

* Thu Oct 05 2000 Franois Pons <fpons@mandrakesoft.com> 0.50-7mdk
- security update from Red Hat.

* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 0.50-6mdk
- removed these ugly symlinks in /etc/rc.d/rc?.d directory.
- use _initrddir macro.
- add missing noreplace on config files.

* Thu Aug 31 2000 Till Kamppeter <till@mandrakesoft.com> 0.50-5mdk
- Lowered update-alternatives priorities of the lpr commands so that
  the CUPS commands get the default ones (CUPS is the default printing
  system now)

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-4mdk
- patched Makefiles to ensure BM

* Thu Aug 24 2000 Till Kamppeter <till@mandrakesoft.com> 0.50-3mdk
- Made the lpr package ready for co-existing with the cups printing
  system.

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-2mdk
- spechelper fixes
- fix group

* Thu Feb 17 2000 Franois PONS <fpons@mandrakesoft.com> 0.50-1mdk
- 0.50.

* Mon Jan 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.48-1mdk
- 0.48 (security fix).

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.47.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- build release.

* Sun Oct 17 1999 Francis Galiegue <francis@mandrakesoft.com>

- RH merge (security fixes)

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merging with RedHat :
    - fix possible core dumps in lpc (ms@bee.de, #3776)
    - add lp= capability support (#3683)
    - fixes for job removal (#2676)
    - fix for RS capability (#3217)
    - RFC 1179 compliance actually works now...
    - make lpr RFC 1179 compliant

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- increase buffer length for filenames (bug #1676)

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- change man page to show that -r -s is not supported (bug #717)

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- security patch from Chris Evans
- fix for remote but not local users (originally from Kevin Sochacki)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Thu Oct  1 1998 Bill Nottingham <notting@redhat.com>
- don't ignore SIGCHLD in filters

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Fri Jun 26 1998 Jeff Johnson <jbj@redhat.com>
- bring printjob up-to-date (fix problem #564)

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Thu Apr 23 1998 Erik Troan <ewt@redhat.com>
- included new rmjob security fix from BSD

* Sat Apr 18 1998 Erik Troan <ewt@redhat.com>
- included rmjob patches from BSD

* Fri Feb 27 1998 Otto Hammersmith <otto@redhat.com>
- increased buffer for hostname from 32 to 1024, plenty big enough now.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- changed the initscript name from lpd.init to lpd (all links, too)

* Mon Oct 27 1997 Michael Fulbright <msf@redhat.com>
- Fixed print filters to change to printer's UID so root-squashing wont bite us

* Wed Oct  8 1997 Michael Fulbright <msf@redhat.com>
- Fixed nasty error in getprent() and forked lpd's in startup() which
  caused the printcap file to be read incorrectly.
- added #include <string.h> as needed to make compile cleaner.  

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- changes for glibc 2.0.4

* Tue Apr 22 1997 Michael Fulbright <msf@redhat.com>
- moved to v. 0.17, then 0.18 (!)
- Fixed bug on Alpha/glibc when printing to a remote queue via a filter

* Fri Mar 28 1997 Michael Fulbright <msf@redhat.com>
- Moved version up to 0.16
- Added input filter support for remote queues

* Wed Mar 05 1997 Erik Troan <ewt@redhat.com>
- Incorporated filter patch into main sources
- Removed RCS logs from source tar file
- Added patched from David Mosberger to fix __ivaliduser on Alpha's
- added -Dgetline=get_line for old glibcs (this means alpha)
